Subject: Re: bug#75672: 31.0.50; scratch/igc memory usage/collection issues

From: Alexis Purslane <[email-masked]>
Date: Thu, 23 Jan 2025 01:46:51 +0000

"Alexis Purslane" <[email-masked]> writes:

An Emacs session got up to 1GB again (even after an M-x malloc-trim,
which shaved like 100MB off!) so I set about trying to figure out how to
get a GDB attached to it to dump its stderr so I could get the output of
M-x malloc-info, but like ten minutes into that (GDB was missing some
plugin so I couldn't run the code inside it necessary to open the file
and redirect the output) suddenly it just.. freed all that memory and
went down to 140MB of resident memory. But it /was/ resident memory, not
virtual memory, that it was using, since it's still using 2GB of virtual
memory.